Supported Browsers

How-to Article

Wix is compatible with Internet Explorer (version 10 and above), Firefox, Chrome and Safari (7 and above).

Note: It is no longer possible to edit your site using the Safari 5, 6 or 6.1 browsers.

The HTML Editor uses HTML5 technology which allows advanced capabilities and solutions for your site, as well as support for mobile devices. However, HTML5 is a relatively new technology and may not be fully supported by older browsers. To make sure that things run smoothly, we recommend updating all of your browsers to the most recent versions. You can easily check if your current browser supports HTML5 here.

To download the latest browser versions, please click below:

You can also check this site for a detailed look at which browsers are better optimized for HTML5.

Note: If your visitors use IE8 or IE9 they will see a banner recommending that they upgrade their browser to see the site correctly. Click here to upgrade your Internet Explorer browser.
Yes No Thanks for your feedback!

Recent Discussions